%define momorel 4

Summary: Ming/Slide
Name: ming-slide
Version: 0.0.3
Release: %{momorel}m
URL: http://madscientist.jp/~ikegami/ruby/ming/slide/index-ja.html
Source: http://madscientist.jp/~ikegami/sources/ming-slide-%{version}.tar.gz
Patch0: ming-slide-momonga.patch
NoSource: 0
License: GPL
Group:  Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ruby-ming, ruby-uconv, ruby-rdtool
BuildPreReq: jaming
BuildArch: noarch

%description
Ming/SLide is a library to create a presentation slides using Ming/Ruby.

Ming/Ruby is an extension library for Ruby to use the Ming.
The Ming is a library to create Macromedia Flash.

%prep
%setup -q -n ming-slide
%patch0 -p1 -b .theme-path

%build
RUBYVER=`ruby -e "print RUBY_VERSION.split('.')[0,2].join('.')"`
RUBYPLATFORM=`ruby -e "print RUBY_PLATFORM"`
ruby install.rb config \
        --bin-dir=%{buildroot}/usr/bin \
        --rb-dir=%{buildroot}/usr/lib/ruby/$RUBYVER/ \
        --so-dir=%{buildroot}/usr/lib/ruby/$RUBYVER/$RUBYPLATFORM \
        --data-dir=%{buildroot}/usr/share \
        --ruby-path=/usr/bin/ruby
ruby install.rb setup

%install
rm -rf %{buildroot}
ruby install.rb install
for i in /usr/share/jaming/fonts/*.fdb; do
  ln -s $i %{buildroot}%{_datadir}/ming-slide/fonts/
done

# remove. maji? iino?
rm -f %{buildroot}%{_bindir}/msd2swf.theme-path
rm -f %{buildroot}%{_bindir}/rd2swf.theme-path

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/rd2swf
%{_bindir}/msd2swf
%{_libdir}/ruby/*/ming
%{_datadir}/ming-slide
%doc ChangeLog README.* TODO fonts.* usage-*.txt LGPL examples

%changelog
* Tue May 18 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0.3-4m)
- change URI

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (0.0.3-3m)
- revised spec for enabling rpm 4.2.

* Tue Aug  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.0.3-2m)
- rebuild against ruby-1.8

* Tue Aug 20 2002 Junichiro Kita<kita@momonga-linux.org>
- (0.0.3-1m)
- initial revision
